//
//  SimonGameViewController.h
//  SimonGame
//
//  Created by Spencer Hakim on 8/2/10.
//  Copyright Spencer Hakim 2010. All rights reserved.
//  License: http://www.gnu.org/licenses/gpl-3.0.txt
//

#import <UIKit/UIKit.h>

@interface SimonGameViewController : UIViewController <UIAlertViewDelegate> {
	UIButton *blue;
	UIButton *red;
	UIButton *green;
	UIButton *yellow;
	
	NSMutableString *pattern; //stores the already generated pattern
	uint userIndex; //stores where in the pattern the user is as they try to re-enter the sequence
	uint repeatIndex; //stores where in the pattern the system is as it repeats the already generated sequence
}

//need to define our IBOutlets for the buttons so we can adjust their alpha
@property (nonatomic, retain) IBOutlet UIButton *blue;
@property (nonatomic, retain) IBOutlet UIButton *red;
@property (nonatomic, retain) IBOutlet UIButton *green;
@property (nonatomic, retain) IBOutlet UIButton *yellow;

//IBActions received by button presses
- (IBAction)bluePressed;
- (IBAction)redPressed;
- (IBAction)greenPressed;
- (IBAction)yellowPressed;

- (void)changeColor:(NSTimer *)timer;
- (void)fadeOut:(NSTimer *)timer;
- (void)repeatPattern:(NSTimer *)timer;
- (void)checkButtonPress:(NSString *)val;
- (void)alertView:(UIAlertView *)alertView didDismissWithButtonIndex:(NSInteger)buttonIndex;

@end

